package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataAuditMapper;
import com.sa.ibiz.demo.demo.domain.DataAudit;
import com.sa.ibiz.demo.demo.service.DataAuditService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataAuditSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[DataAudit] 服务对象接口实现
 */
@Service
public class DataAuditServiceImpl extends ServiceImplBase<DataAuditMapper, DataAudit> implements DataAuditService{


    @Resource
    private DataAuditMapper dataauditMapper;


    @Override
    public boolean create(DataAudit et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataAudit et){
        this.beforeUpdate(et);
		this.dataauditMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataAudit et){
		return et.getDataauditid();  
    }

    @Override
    public boolean getDraft(DataAudit et)  {
            return true;
    }

	public List<DataAudit> listDefault(DataAuditSearchFilter filter) {
		return dataauditMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataAudit> searchDefault(DataAuditSearchFilter filter) {
		return dataauditMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dataauditMapper.selectRow(sql);
    }

 }